Subject: Re: Installation - A Recommended Structure - Comments?
From: [email-masked] (John Mullee)

9 Dec 1998 21:44:24 -0800
Message-ID: <[email-masked]>
References: <026c01be22c5$1c35eb70$cac8c8c8@mindspring>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Cygnus32 <[email-masked]>

Fred Marshall wrote:

> 1)  Cygwin32 is set up and intended to allow porting gnu tools into WIN32
I think the majority of users are porters of gnu or unix software

> 2) Arguably, the population of WIN32 users who want to make use of the gnu
post-beta, perhaps there will be different 'distributions', a la linux

> 3) Reliably installing these tools is elusive at best.  It can get to be
IMO the install program should be GPL
There should also be some kind of digest, as I tire of wading through
dozens of frequently-asked-questions on the list weekly.
Other lists do this, and update their FAQs regularly, thus cutting down
on (ahem) 'noise'

> 4) Installation instructions are terse at best and are (randomly?)
> distributed over a bunch of readme files, FAQs, etc.  Some of the important
I dont believe that 2 days rummaging through mailing list archives is an
acceptable
substitution for decent howtos and manuals (or _MAN PAGES_!!!)

> Here's a modest recommendation:
> A)  Establish a recommended/standardized WIN32 directory structure that will
Where's that url for the directory structure standard?  - In the list
archive !!

> B)  Establish methods for setting up WIN32 settings that are important to
The port of the Redhat Package Manager (RPM) is interesting in this
respect

> Against:
> Setting directory structures is counter to freedom of expression and
> suggests a rigid situation with no flexibility.

Any directory structure standard - including the present default of NONE
-
can be changed by recompiling etc.
IMO something - ideally, standard - is better than nothing

> For:
> Standardizing should not remove flexibility.  However, it should prevent
> errors like:  the instructions or some buried code refer to a directory or

Compiled-in dependancies on '/logopolis/monitor/noer' aren't very
helpful.

I _dearly_ wish that developers and porters would migrate to the
standard tree
and distribute tarballs using it. For Christmas? :)

> C)  Prerequisite installs are problematic.  If there are prerequisite

I am a windows programmer who tried cygwin as an alternative to
migrating
to linux, but I found the environment demands a devolper-level
familiarity
with un*x system concepts.

I am now running Linux. I can read the manuals.

I have a slower system (P5-133.48MB.1GB) and dont have the time or space
to build all these packages.
On linux, I have all the man pages and howtos, the LDP, programmers
guides,
prebuilt packages for the standard tree, etc.

I guess that in a few months I might reach the requisite level of
understanding
of un*x concepts to be able to sucessfully manage a cygwin installation.

John (windows refugee)
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".